For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sign btc tx

post

Signs a Bitcoin transaction for the specified account.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the transaction for.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Body
  • The request body containing the network, inputs, and outputs.
outputsstringRequired
inputsstringRequired
networkstringRequired
Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed transaction.

application/json
successbooleanRequired
messagestringRequired
post/bitcoincash/accounts/{accountName}/sign-btc-tx
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed transaction.